> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://apidocs.polytomic.com/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server. # Get Bulk Sync Execution Logs GET https://app.polytomic.com/api/bulk/syncs/{sync_id}/executions/{execution_id}/logs Returns signed URLs for the log files produced by a single bulk sync execution. Each URL in the response is pre-signed and grants temporary read access to the corresponding log file. URLs expire after a short period; if you need to access a file after the URL has expired, call this endpoint again to obtain a fresh set of signed URLs. > 📘 To export logs asynchronously to a destination of your choice, use > [`POST /api/bulk/syncs/{sync_id}/executions/{execution_id}/logs/export`](../../../../../../../api-reference/bulk-sync/executions/export-logs) > instead. Reference: https://apidocs.polytomic.com/api-reference/bulk-sync/executions/get-logs ## Authentication - `Authorization` header (basic auth, required) — This is the Polytomic deployment key (on-premises only) - `Authorization` header (bearer token, required) — This is the Polytomic API key ## Request ### Path parameters - `sync_id` (string, required) — Unique identifier of the bulk sync. - `execution_id` (string, required) — Unique identifier of the execution whose log files should be listed. ## Response ### 200 OK - `data` (V4BulkSyncExecutionLogs, optional) ## Errors ### 401 Unauthorized Error Unauthorized - `code` (integer, optional) — Application-specific error code. - `context` (map from string to any, optional) — Application context. - `error` (string, optional) — Error message. - `status` (string, optional) — Status text. ### 404 Not Found Error Not Found - `key` (string, optional) - `message` (string, optional) - `metadata` (map from string to any, optional) - `status` (integer, optional) ## Types ### V4BulkSyncExecutionLogs - `Expires` (string, optional) — Timestamp at which the signed URLs in URLs stop working. - `URLs` (list of string, optional, nullable) — Signed URLs that download the execution's log files. These URLs expire at the Expires timestamp. ## Examples **Response** ```json { "data": { "Expires": "2024-01-15T09:30:00Z", "URLs": [ "string" ] } } ``` **SDK Code** ```typescript import { PolytomicClient } from "polytomic"; async function main() { const client = new PolytomicClient({ token: "YOUR_TOKEN_HERE", version: "X-Polytomic-Version", }); await client.bulkSync.executions.getLogs("248df4b7-aa70-47b8-a036-33ac447e668d", "248df4b7-aa70-47b8-a036-33ac447e668d"); } main(); ``` ```python from polytomic import Polytomic client = Polytomic( token="YOUR_TOKEN_HERE", version="X-Polytomic-Version", ) client.bulk_sync.executions.get_logs( sync_id="248df4b7-aa70-47b8-a036-33ac447e668d", execution_id="248df4b7-aa70-47b8-a036-33ac447e668d", ) ``` ```go package example import ( context "context" client "github.com/polytomic/polytomic-go/v24/client" option "github.com/polytomic/polytomic-go/v24/option" ) func do() { client := client.NewClient( option.WithToken( "YOUR_TOKEN_HERE", ), option.WithVersion( "X-Polytomic-Version", ), ) client.BulkSync.Executions.GetLogs( context.TODO(), "248df4b7-aa70-47b8-a036-33ac447e668d", "248df4b7-aa70-47b8-a036-33ac447e668d", ) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d/logs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Polytomic-Version"] = 'X-Polytomic-Version' request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d/logs") .header("X-Polytomic-Version", "X-Polytomic-Version") .basicAuth("", "") .asString(); ``` ```php request('GET', 'https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d/logs', [ 'headers' => [ 'X-Polytomic-Version' => 'X-Polytomic-Version', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d/logs"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); request.AddHeader("X-Polytomic-Version", "X-Polytomic-Version"); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let credentials = Data(":".utf8).base64EncodedString() let headers = [ "X-Polytomic-Version": "X-Polytomic-Version", "Authorization": "Basic \(credentials)" ] let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d/logs")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```